Forum Rule: Always post complete source code & details to reproduce any issue!
Results 1 to 8 of 8

Thread: Adding Teensey Board to Arduino 1.6.10

  1. #1

    Adding Teensey Board to Arduino 1.6.10

    I have three versions of the Arduino IDE. 1.6.8, 1.6.9 and 1.6.10. I only see the Teensey 3.2 on the version 1.6.9. When I compile and upload the teensey loader pops up. I must have installed it correctly when running 1.6.9. I re-downloaded the installer but can't figure which library folder to run the install. I'd like to use Arduino 1.6.10.

    What should I do next?

  2. #2
    Senior Member Ben's Avatar
    Join Date
    Jul 2013
    Location
    Germany
    Posts
    401
    Quote Originally Posted by mboroff View Post
    When I compile and upload the teensey loader pops up.
    In 1.6.10? If no: maybe you just haven't yet installed teensyduino into your 1.6.10 install. I assume Windows, so: Run teensyduino.exe (make sure you have a release that supports 1.6.10) and point it towards the folder you have the 1.6.10 installation in.

  3. #3
    Sorry I am running on a iMac with EAl Capitain.

  4. #4
    Senior Member+ KurtE's Avatar
    Join Date
    Jan 2014
    Posts
    5,443
    Actually at this point, I might suggest installing Arduino 1.6.11, along with Beta 3 of the current teensy stuff.
    https://forum.pjrc.com/threads/36165...ta-3-Available

    My guess is that you problem is not related to the issues which caused Arduino to do a quick release, but at least at one point it sounded like Paul would drop support for 1.6.10...

  5. #5
    Got it installed with Arduino 1.6.11
    Last edited by mboroff; 08-19-2016 at 10:32 PM.

  6. #6
    Senior Member+ KurtE's Avatar
    Join Date
    Jan 2014
    Posts
    5,443
    Quote Originally Posted by mboroff View Post
    Got it installed with Arduino 1.6.11
    And did it work?

    If not have you tried cleaning out the older versions.

    I am not a big mac user, but have an Imac that I use as my secondary setup. Yesterday (I think), I already had a couple versions of Arduino installed, and they showed up in my Launcher as Arduino and ARduino 3. So before I installed 1.6.11, I first removed the other copies. I first ran the Uninstall to remove icon, then removed from Apps folder and then if I remember correctly went into Downloads folder and moved all Arduino downloads to trash... Then I downloaded and install 1.6.11 and then downloaded Teensy and installed it with the one (new) Arduino setup....

  7. #7
    The Mac install is much simpler. Download arduino IDE, unzip in download folder, rename arduino.app to arduino_1_6_11, drag it to applications folder. Download teeseyloader.img, double click it to unpack installer. To get installer to go with 1_6_11 back up the folder it is pointing to all the way to the top of the tree then click on applications and the find arduini_1_6_11.app. It was the last step I was having a problem finding the IDE app. If I went forward on the tree I never found it.

    I only had time to do a quick compile before going out for dinner.

  8. #8
    Senior Member PaulStoffregen's Avatar
    Join Date
    Nov 2012
    Posts
    20,606
    At first it seemed they'd replace 1.6.10 within a few days, like they did on other buggy releases. But it's been long enough that I'm going to keep 1.6.10 support in Teensyduino 1.30. Will likely drop 1.6.8 and 1.6.10 support for 1.31.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •